package com.bocloud.nms.model.agile;

import java.util.List;

/*
 * 租户资源统计
 */
public class AgileTenantStatisticsModel {
    private List<AgileFabricPoolModel> agileFabricPoolModels;
    private Integer logicNetworkNum; // VPC的个数
    private Integer logicRouterNum; // 逻辑路由器个数
    private Integer logicSwitchNum; // 逻辑交换机个数
    private Integer logicVasNum; // 逻辑VAS个数

    public List<AgileFabricPoolModel> getAgileFabricPoolModels() {
        return agileFabricPoolModels;
    }

    public void setAgileFabricPoolModels(List<AgileFabricPoolModel> agileFabricPoolModels) {
        this.agileFabricPoolModels = agileFabricPoolModels;
    }

    public Integer getLogicNetworkNum() {
        return logicNetworkNum;
    }

    public void setLogicNetworkNum(Integer logicNetworkNum) {
        this.logicNetworkNum = logicNetworkNum;
    }

    public Integer getLogicRouterNum() {
        return logicRouterNum;
    }

    public void setLogicRouterNum(Integer logicRouterNum) {
        this.logicRouterNum = logicRouterNum;
    }

    public Integer getLogicSwitchNum() {
        return logicSwitchNum;
    }

    public void setLogicSwitchNum(Integer logicSwitchNum) {
        this.logicSwitchNum = logicSwitchNum;
    }

    public Integer getLogicVasNum() {
        return logicVasNum;
    }

    public void setLogicVasNum(Integer logicVasNum) {
        this.logicVasNum = logicVasNum;
    }
}
